| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | List of all members
Digikam::GPSItemInfoSorter Class Reference
Inheritance diagram for Digikam::GPSItemInfoSorter:

## Public Types
enum | SortOption { SortYoungestFirst = 0 , SortOldestFirst = 1 , SortRating = 2 }
typedef QFlags< SortOption > | SortOptions

## Public Member Functions
| GPSItemInfoSorter (QObject *const parent)
void | addToMapWidget (MapWidget *const mapWidget)
SortOptions | getSortOptions () const
void | setSortOptions (const SortOptions sortOptions)

## Static Public Member Functions
static bool | fitsBetter (const GPSItemInfo &oldInfo, const GeoGroupState oldState, const GPSItemInfo &newInfo, const GeoGroupState newState, const GeoGroupState globalGroupState, const SortOptions sortOptions)